---
# Install external dependencies
before_script:
  - duneci-install-module https://gitlab.dune-project.org/fufem/dune-matrix-vector.git
  - duneci-install-module https://git.imp.fu-berlin.de/agnumpde/dune-solvers.git
  - duneci-install-module https://gitlab.dune-project.org/fufem/dune-fufem.git

dune:2.9 debian-11 gcc-10 C++20:
  variables:
    DUNECI_BRANCH: releases/2.9
  image: registry.dune-project.org/docker/ci/dune:2.9-debian-11-gcc-10-20
  before_script:
  script: duneci-standard-test

dune:git ubuntu-20-04 clang-10  C++20:
  image: registry.dune-project.org/docker/ci/dune:git-ubuntu-20.04-clang-10-20
  script: duneci-standard-test

dune:git debian-11 gcc-10  C++20:
  image: registry.dune-project.org/docker/ci/dune:git-debian-11-gcc-10-20
  script: duneci-standard-test
